# Generated by Django 5.2b1 on 2025-03-24 14:41

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0006_service_slug"),
    ]

    operations = [
        migrations.RenameField(
            model_name="serviceoffering",
            old_name="control_plane",
            new_name="control_planes",
        ),
        migrations.CreateModel(
            name="ServiceDefinition",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100, verbose_name="Name")),
                (
                    "description",
                    models.TextField(blank=True, verbose_name="Description"),
                ),
                (
                    "api_definition",
                    models.JSONField(
                        blank=True,
                        help_text="Contains group, version, and kind information",
                        null=True,
                        verbose_name="API Definition",
                    ),
                ),
                (
                    "service",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="service_definitions",
                        to="core.service",
                        verbose_name="Service",
                    ),
                ),
            ],
            options={
                "verbose_name": "Service definition",
                "verbose_name_plural": "Service definitions",
            },
        ),
        migrations.AddField(
            model_name="controlplane",
            name="service_definition",
            field=models.ForeignKey(
                default=1,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="control_planes",
                to="core.servicedefinition",
                verbose_name="Service definition",
            ),
            preserve_default=False,
        ),
    ]
